Subject: Re: bug#9266: tail -F does not follow through symlinks

From: Assaf Gordon <[email-masked]>
Date: Tue, 30 Oct 2018 02:50:52 -0600

tags 9266 notabug
close 9266
stop

(triaging old bugs)

On 2011-08-09 10:28 a.m., Jim Meyering wrote:
> Bart Vanhaute wrote:
> 
>> When I use tail -F to follow a file that is a symlink to another file,
>> and that second file gets replaced, tail no longer follows the new
>> file. I am not sure if this scenario is actually supported, but the
>> current behaviour is unexpected to me.

> Thank you for the report.
> That is indeed a difference in behavior from
> the way tail works without inotify support.
> 
> If you want the old behavior (though there is no guarantee this
> option will be around forever -- it's deliberately not documented),
> use tail's ---disable-inotify option.  Note the three leading '-'s.

with no further comments in 7 years, I'm closing this bug.

-assaf